<?php
$tdatareportaccountexpense = array();
$tdatareportaccountexpense[".searchableFields"] = array();
$tdatareportaccountexpense[".ShortName"] = "reportaccountexpense";
$tdatareportaccountexpense[".OwnerID"] = "";
$tdatareportaccountexpense[".OriginalTable"] = "accounttype";


$tdatareportaccountexpense[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareportaccountexpense[".originalPagesByType"] = $tdatareportaccountexpense[".pagesByType"];
$tdatareportaccountexpense[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareportaccountexpense[".originalPages"] = $tdatareportaccountexpense[".pages"];
$tdatareportaccountexpense[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareportaccountexpense[".originalDefaultPages"] = $tdatareportaccountexpense[".defaultPages"];

//	field labels
$fieldLabelsreportaccountexpense = array();
$fieldToolTipsreportaccountexpense = array();
$pageTitlesreportaccountexpense = array();
$placeHoldersreportaccountexpense = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsreportaccountexpense["English"] = array();
	$fieldToolTipsreportaccountexpense["English"] = array();
	$placeHoldersreportaccountexpense["English"] = array();
	$pageTitlesreportaccountexpense["English"] = array();
	$fieldLabelsreportaccountexpense["English"]["AccountTypeID"] = "Account Type ID";
	$fieldToolTipsreportaccountexpense["English"]["AccountTypeID"] = "";
	$placeHoldersreportaccountexpense["English"]["AccountTypeID"] = "";
	$fieldLabelsreportaccountexpense["English"]["AccountTypeName"] = "ປະເພດບັນຊີ";
	$fieldToolTipsreportaccountexpense["English"]["AccountTypeName"] = "";
	$placeHoldersreportaccountexpense["English"]["AccountTypeName"] = "";
	$fieldLabelsreportaccountexpense["English"]["Amouts"] = "ມູນຄ່າ";
	$fieldToolTipsreportaccountexpense["English"]["Amouts"] = "";
	$placeHoldersreportaccountexpense["English"]["Amouts"] = "";
	$fieldLabelsreportaccountexpense["English"]["Noted"] = "ຄໍາອະທິບາຍ";
	$fieldToolTipsreportaccountexpense["English"]["Noted"] = "";
	$placeHoldersreportaccountexpense["English"]["Noted"] = "";
	$fieldLabelsreportaccountexpense["English"]["Daterecorde"] = "ວັນທີ";
	$fieldToolTipsreportaccountexpense["English"]["Daterecorde"] = "";
	$placeHoldersreportaccountexpense["English"]["Daterecorde"] = "";
	if (count($fieldToolTipsreportaccountexpense["English"]))
		$tdatareportaccountexpense[".isUseToolTips"] = true;
}


	$tdatareportaccountexpense[".NCSearch"] = true;



$tdatareportaccountexpense[".shortTableName"] = "reportaccountexpense";
$tdatareportaccountexpense[".nSecOptions"] = 0;

$tdatareportaccountexpense[".mainTableOwnerID"] = "";
$tdatareportaccountexpense[".entityType"] = 2;
$tdatareportaccountexpense[".connId"] = "eflejob_at_localhost";


$tdatareportaccountexpense[".strOriginalTableName"] = "accounttype";

	



$tdatareportaccountexpense[".showAddInPopup"] = false;

$tdatareportaccountexpense[".showEditInPopup"] = false;

$tdatareportaccountexpense[".showViewInPopup"] = false;

$tdatareportaccountexpense[".listAjax"] = false;
//	temporary
//$tdatareportaccountexpense[".listAjax"] = false;

	$tdatareportaccountexpense[".audit"] = false;

	$tdatareportaccountexpense[".locking"] = false;


$pages = $tdatareportaccountexpense[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareportaccountexpense[".edit"] = true;
	$tdatareportaccountexpense[".afterEditAction"] = 1;
	$tdatareportaccountexpense[".closePopupAfterEdit"] = 1;
	$tdatareportaccountexpense[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareportaccountexpense[".add"] = true;
$tdatareportaccountexpense[".afterAddAction"] = 1;
$tdatareportaccountexpense[".closePopupAfterAdd"] = 1;
$tdatareportaccountexpense[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareportaccountexpense[".list"] = true;
}



$tdatareportaccountexpense[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareportaccountexpense[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareportaccountexpense[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareportaccountexpense[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareportaccountexpense[".printFriendly"] = true;
}



$tdatareportaccountexpense[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareportaccountexpense[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareportaccountexpense[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareportaccountexpense[".isUseAjaxSuggest"] = true;



			

$tdatareportaccountexpense[".ajaxCodeSnippetAdded"] = false;

$tdatareportaccountexpense[".buttonsAdded"] = false;

$tdatareportaccountexpense[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareportaccountexpense[".isUseTimeForSearch"] = false;


$tdatareportaccountexpense[".badgeColor"] = "4169E1";


$tdatareportaccountexpense[".allSearchFields"] = array();
$tdatareportaccountexpense[".filterFields"] = array();
$tdatareportaccountexpense[".requiredSearchFields"] = array();

$tdatareportaccountexpense[".googleLikeFields"] = array();
$tdatareportaccountexpense[".googleLikeFields"][] = "AccountTypeID";
$tdatareportaccountexpense[".googleLikeFields"][] = "AccountTypeName";
$tdatareportaccountexpense[".googleLikeFields"][] = "Amouts";
$tdatareportaccountexpense[".googleLikeFields"][] = "Noted";
$tdatareportaccountexpense[".googleLikeFields"][] = "Daterecorde";



$tdatareportaccountexpense[".tableType"] = "report";

$tdatareportaccountexpense[".printerPageOrientation"] = 0;
$tdatareportaccountexpense[".nPrinterPageScale"] = 100;

$tdatareportaccountexpense[".nPrinterSplitRecords"] = 40;

$tdatareportaccountexpense[".geocodingEnabled"] = false;

//report settings

$tdatareportaccountexpense[".reportPrintGroupsPerPage"] = 3;
$tdatareportaccountexpense[".reportPrintRecordsPerPage"] = 40;

$tdatareportaccountexpense[".pageSizeGroups"] = 5;
$tdatareportaccountexpense[".pageSizeRecords"] = 20;


//end of report settings










$tstrOrderBy = "";
$tdatareportaccountexpense[".strOrderBy"] = $tstrOrderBy;

$tdatareportaccountexpense[".orderindexes"] = array();


$tdatareportaccountexpense[".sqlHead"] = "SELECT accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountexpense.Amouts,  accountexpense.Noted,  accountexpense.Daterecorde";
$tdatareportaccountexpense[".sqlFrom"] = "FROM accounttype  INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$tdatareportaccountexpense[".sqlWhereExpr"] = "";
$tdatareportaccountexpense[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareportaccountexpense[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareportaccountexpense[".arrGroupsPerPage"] = $arrGPP;

$tdatareportaccountexpense[".highlightSearchResults"] = true;

$tableKeysreportaccountexpense = array();
$tableKeysreportaccountexpense[] = "AccountTypeID";
$tdatareportaccountexpense[".Keys"] = $tableKeysreportaccountexpense;


$tdatareportaccountexpense[".hideMobileList"] = array();




//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("ReportAccountexpense","AccountTypeID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountexpense["AccountTypeID"] = $fdata;
		$tdatareportaccountexpense[".searchableFields"][] = "AccountTypeID";
//	AccountTypeName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeName";
	$fdata["GoodName"] = "AccountTypeName";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("ReportAccountexpense","AccountTypeName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "AccountTypeName";

		$fdata["sourceSingle"] = "AccountTypeName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountexpense["AccountTypeName"] = $fdata;
		$tdatareportaccountexpense[".searchableFields"][] = "AccountTypeName";
//	Amouts
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Amouts";
	$fdata["GoodName"] = "Amouts";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("ReportAccountexpense","Amouts");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Amouts";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Amouts";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountexpense["Amouts"] = $fdata;
		$tdatareportaccountexpense[".searchableFields"][] = "Amouts";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("ReportAccountexpense","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountexpense["Noted"] = $fdata;
		$tdatareportaccountexpense[".searchableFields"][] = "Noted";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("ReportAccountexpense","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "AccountTypeID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountexpense["Daterecorde"] = $fdata;
		$tdatareportaccountexpense[".searchableFields"][] = "Daterecorde";


$tables_data["ReportAccountexpense"]=&$tdatareportaccountexpense;
$field_labels["ReportAccountexpense"] = &$fieldLabelsreportaccountexpense;
$fieldToolTips["ReportAccountexpense"] = &$fieldToolTipsreportaccountexpense;
$placeHolders["ReportAccountexpense"] = &$placeHoldersreportaccountexpense;
$page_titles["ReportAccountexpense"] = &$pageTitlesreportaccountexpense;


changeTextControlsToDate( "ReportAccountexpense" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["ReportAccountexpense"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["ReportAccountexpense"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reportaccountexpense()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountexpense.Amouts,  accountexpense.Noted,  accountexpense.Daterecorde";
$proto0["m_strFrom"] = "FROM accounttype  INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto6["m_sql"] = "accounttype.AccountTypeID";
$proto6["m_srcTableName"] = "ReportAccountexpense";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeName",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto8["m_sql"] = "accounttype.AccountTypeName";
$proto8["m_srcTableName"] = "ReportAccountexpense";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Amouts",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto10["m_sql"] = "accountexpense.Amouts";
$proto10["m_srcTableName"] = "ReportAccountexpense";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto12["m_sql"] = "accountexpense.Noted";
$proto12["m_srcTableName"] = "ReportAccountexpense";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto14["m_sql"] = "accountexpense.Daterecorde";
$proto14["m_srcTableName"] = "ReportAccountexpense";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "accounttype";
$proto17["m_srcTableName"] = "ReportAccountexpense";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "AccountTypeID";
$proto17["m_columns"][] = "AccountTypeName";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "accounttype";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "ReportAccountexpense";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
												$proto20=array();
$proto20["m_link"] = "SQLL_INNERJOIN";
			$proto21=array();
$proto21["m_strName"] = "accountexpense";
$proto21["m_srcTableName"] = "ReportAccountexpense";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "expenseID";
$proto21["m_columns"][] = "AccountTypeID";
$proto21["m_columns"][] = "Amouts";
$proto21["m_columns"][] = "Noted";
$proto21["m_columns"][] = "Daterecorde";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "ReportAccountexpense";
$proto22=array();
$proto22["m_sql"] = "accountexpense.AccountTypeID = accounttype.AccountTypeID";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "ReportAccountexpense"
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "= accounttype.AccountTypeID";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="ReportAccountexpense";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reportaccountexpense = createSqlQuery_reportaccountexpense();


	
		;

					

$tdatareportaccountexpense[".sqlquery"] = $queryData_reportaccountexpense;



$tdatareportaccountexpense[".hasEvents"] = false;

?>